{{ ansible_managed | comment }}

{% for rule in postgres_hba_rules %}
{% if rule.type == "local" %}
{{ "%-8s" | format(rule.type,) }}{{ "%-12s" | format(rule.database) }}{{ "%-34s" | format(rule.user,) }}{{ rule.method }}
{% else %}
{{ "%-8s" | format(rule.type,) }}{{ "%-12s" | format(rule.database) }}{{ "%-12s" | format(rule.user,) }}{{ "%-22s" | format(rule.cidr,) }}{{ rule.method }}
{% endif %}
{% endfor %}